> For the complete documentation index, see [llms.txt](/llms.txt).

# `getblockcount`

Returns the height of the most-work fully validated chain. This method uses [80 credits](/get-started/pricing/) from your daily balance.

The genesis block has height `0`.

## Parameters[​](#parameters "Direct link to Parameters")

None

## Returns[​](#returns "Direct link to Returns")

`result`: (integer) - Current block height.

### Request[​](#request "Direct link to Request")

- curl

```
curl https://bitcoin-mainnet.infura.io/v3/<YOUR-API-KEY> \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"jsonrpc": "2.0", "id": 1, "method": "getblockcount", "params": []}'

```

### Response[​](#response "Direct link to Response")

- JSON

```
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": 971402
}

```
